net.sf.jasperreports.data.xls

## Class JxlDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.xls.AbstractXlsDataAdapterService
    - - net.sf.jasperreports.data.xls.JxlDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor

  Deprecated.
  To be removed.

      public class JxlDataAdapterService
      extends AbstractXlsDataAdapterService

  Version:
    $Id: XlsDataAdapterService.java 6972 2014-03-12 11:41:51Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.data.xls.AbstractXlsDataAdapterService

      `PROPERTY_DATA_ADAPTER_USE_LEGACY_JEXCELAPI`

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JxlDataAdapterService(JasperReportsContext jasperReportsContext, XlsDataAdapter xlsDataAdapter)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)` Deprecated.
    `protected AbstractXlsDataSource` | `getXlsDataSource()` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.data.xls.AbstractXlsDataAdapterService

      `getXlsDataAdapter, setupColumns, setupColumns`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `dispose, getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JxlDataAdapterService

          public JxlDataAdapterService(JasperReportsContext jasperReportsContext,
                               XlsDataAdapter xlsDataAdapter)

      Deprecated.

  - ### Method Detail

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Deprecated.
      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Overrides:
        `contributeParameters` in class `AbstractXlsDataAdapterService`
      Throws:
        `JRException`

    - #### getXlsDataSource

          protected AbstractXlsDataSource getXlsDataSource()
                                                    throws JRException

      Deprecated.
      Specified by:
        `getXlsDataSource` in class `AbstractXlsDataAdapterService`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com